REST: Schemas¶
Single schema¶
Get a schema's data by its schema ID.
Query Parameters:
| Key | Value | Type |
|---|---|---|
| id | onchain_evm_80001_0x1 | string |
* Optional parameter.
Response:
{
"success": true,
"statusCode": 200,
"data": {
"id": "onchain_evm_80001_0x1",
"mode": "onchain",
"chainType": "evm",
"chainId": "80001",
"schemaId": "0x1",
"transactionHash": "0x97e69df2e65e97001da22953a4376233d792c50810cf3bff0fff1a14e7374b60",
"name": "xxx",
"description": "",
"revocable": true,
"maxValidFor": "0",
"resolver": "0x0000000000000000000000000000000000000000",
"registerTimestamp": "1705387959",
"registrant": "0x9854E76134e6D729A633CED51042fF653f04f4C5",
"data": [
{
"name": "name",
"type": "string"
}
]
},
"message": "ok"
}
Schema info¶
Get a schema's data by its schema ID.
Query Parameters:
| id | onchain_evm_80001_0x2 | string |
* Optional parameters.
Response:
{
"success": true,
"statusCode": 200,
"data": {
"id": "onchain_evm_80001_0x2",
"mode": "onchain",
"name": "message",
"description": "",
"registrant": "0x9854E76134e6D729A633CED51042fF653f04f4C5",
"registerTimestamp": 1705483984,
"chainType": "evm",
"chainId": "80001",
"schemaId": "0x2",
"revocable": true,
"maxValidFor": 0,
"transactionHash": "0xb1b7aa7da95aced199551f9fd58944551472027f2a6533bf462c4b435b03c789",
"data": [
{
"name": "message",
"type": "string"
}
]
},
"message": "ok"
}
Filtered schemas¶
List schemas that match one or more filter parameters. Results can be paginated, with a page size you choose.
Query Parameters:
| Key | Value | Type |
|---|---|---|
| id* | onchain_evm_7001_0x7 | string |
| page* | 1 | number |
| registrant* | 0xDfc4FbbDd9C47c7976fEBb14B1D37C7f85FE299D | string |
| size | 100 | number |
| mode* | onchain | "onchain"/"offchain" |
* Optional parameter.
Response:
{
"success": true,
"statusCode": 200,
"data": {
"total": 20,
"rows": [
{
"id": "onchain_evm_7001_0x7",
"mode": "onchain",
"chainType": "evm",
"chainId": "7001",
"schemaId": "0x7",
"transactionHash": "0xabddd6fe182a75d61eb0feef028a71a24fbdf46e7508c519c099c9d8a5805801",
"name": "test",
"description": "whasa",
"revocable": true,
"maxValidFor": "0",
"resolver": "0x0000000000000000000000000000000000000000",
"registerTimestamp": "1705912991",
"registrant": "0xDfc4FbbDd9C47c7976fEBb14B1D37C7f85FE299D",
"data": [
{
"name": "name",
"type": "string"
},
{
"name": "count",
"type": "number"
}
]
}
],
"size": "1",
"page": 1
},
"message": "ok"
}
Top 10 schemas¶
Get the current top 10 schemas.
Query Parameters:
None
Response:
{
"success": true,
"statusCode": 200,
"data": {
"rows": [
{
"id": "onchain_evm_7001_0x4",
"mode": "onchain",
"name": "zeta kyc schema",
"description": "",
"registrant": "0x8D10D37BF3c50C9Dd34A4BC70987CD60f8f4a466",
"chainType": "evm",
"chainId": "7001",
"schemaId": "0x4",
"transactionHash": "0x8736b25a8c7644721791ddc544f39e49418bf1516378aa9386a0b2c47baf6c53",
"attestationCount": 18
},
...
]
},
"message": "ok"
}
Trending schemas¶
Get the top trending schemas.
Query Parameters:
None
Response:
{
"success": true,
"statusCode": 200,
"data": {
"rows": [
{
"id": "onchain_evm_80001_0x1",
"mode": "onchain",
"name": "xxx",
"description": "",
"registrant": "0x9854E76134e6D729A633CED51042fF653f04f4C5",
"chainType": "evm",
"chainId": "80001",
"schemaId": "0x1",
"transactionHash": "0x97e69df2e65e97001da22953a4376233d792c50810cf3bff0fff1a14e7374b60",
"attestationCount": 1
}
]
},
"message": "ok"
}
Paged schemas¶
Search schemas by keyword. Large result sets may be paged.
Query Parameters:
| Key | Value | Type |
|---|---|---|
| page* | 1 | number |
| keyword* | 0x1 | string |
* Optional parameter.
Response:
{
"success": true,
"statusCode": 200,
"data": {
"total": 23,
"rows": [
{
"id": "onchain_evm_80001_0x1",
"mode": "onchain",
"name": "xxx",
"description": "",
"registrant": "0x9854E76134e6D729A633CED51042fF653f04f4C5",
"chainType": "evm",
"chainId": "80001",
"schemaId": "0x1",
"transactionHash": "0x97e69df2e65e97001da22953a4376233d792c50810cf3bff0fff1a14e7374b60",
"attestationCount": 17,
"attesterCount": 2,
"data": [
{
"name": "name",
"type": "string"
}
]
},
...
],
"page": 1,
"size": 10
},
"message": "ok"
}
Address schemas¶
List the schemas that an address has created.
Query Parameters:
| Key | Value | Type |
|---|---|---|
| address | 0x059e6B8008d34aC26581fD3ED8378AA93c7941EE | string |
* Optional parameter.
Response:
{
"success": true,
"statusCode": 200,
"data": {
"total": 12,
"rows": [
{
"id": "onchain_evm_80001_0x4",
"mode": "onchain",
"chainType": "evm",
"chainId": "80001",
"schemaId": "0x4",
"transactionHash": "0xe2bb19cfd5d45e20e2cc36cb5c6ef2a947c25fc006a3386a260520646fe35837",
"name": "message",
"description": "",
"revocable": true,
"maxValidFor": "0",
"resolver": "0x0000000000000000000000000000000000000000",
"registerTimestamp": "1705484040",
"registrant": "0x9854E76134e6D729A633CED51042fF653f04f4C5",
"data": [
{
"name": "message",
"type": "string"
}
],
"extra": null,
"syncAt": "1705932587177"
},
...
],
"page": 1,
"size": 10
},
"message": "ok"
}